library share_package;
import 'package:url_launcher/url_launcher.dart';

enum ShareType{
  WhatsApp,
  Twitter
}

class SocialMedia {
  static share(ShareType type,String message) {
    switch (type){
      case ShareType.WhatsApp:
        launchURL('whatsapp://send?text=' + message);
        break;

      case ShareType.Twitter:
        launchURL('https://mobile.twitter.com/intent/tweet?text=' + message);
        break;
    }
  }

  static launchURL(String url) async {
    launch(url);
  }
}